OpenMetal
API referenceProvider credentials

Configure Provider Credential

PUT
/v1/organizations/{organization_id}/provider-credentials/{provider}

Authorization

bearerAuth
AuthorizationBearer <token>

Use a project API key for sandbox and runtime routes, or an OpenMetal user access token for account management routes.

In: header

Path Parameters

organization_id*string
Formatuuid
provider*string
Valuesblaxel, cloudflare, codesandbox, daytona, e2b, freestyle, modal, northflank, prime, runloop, vercel

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Variant 1
provider*string
api_key*string
Length1–16384
workspace*string
Length1–500
account_id?string
Length1–500
Variant 2
provider*string
api_url*string
FormaturiLength0–2048
api_key*string
Length1–16384
account_id?string
Length1–500
analytics_token?string
Length1–16384
Variant 3
provider*string
api_key*string
Length1–16384
workspace_id?string
Length1–500
vm_tier?string
ValuesPico, Nano, Micro, Small, Medium, Large, XLarge
credit_rate_usd?string
Match^\d+(?:\.\d{1,6})?$
Variant 4
provider*string
api_key*string
Length1–16384
organization_id?string
Length1–500
target?string
Length1–500
Variant 5
provider*string
api_key*string
Length1–16384
Variant 6
provider*string
api_key*string
Length1–16384
Variant 7
provider*string
token_id*string
Length1–16384
token_secret*string
Length1–16384
environment?string
Length1–500
Variant 8
provider*string
api_token*string
Length1–16384
project_id*string
Length1–500
team_id?string
Length1–500
Variant 9
provider*string
api_key*string
Length1–16384
team_id?string
Length1–500
Variant 10
provider*string
api_key*string
Length1–16384
resource_size?string
ValuesX_SMALL, SMALL, MEDIUM, LARGE, X_LARGE, XX_LARGE
vcpu_hour_rate_usd?string
Match^\d+(?:\.\d{1,6})?$
memory_gb_hour_rate_usd?string
Match^\d+(?:\.\d{1,6})?$
disk_gb_hour_rate_usd?string
Match^\d+(?:\.\d{1,6})?$
Variant 11
provider*string
token*string
Length1–16384
project_id*string
Length1–500
team_id?string
Length1–500

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/provider-credentials/blaxel" \  -H "Content-Type: application/json" \  -d '{    "provider": "blaxel",    "api_key": "string",    "workspace": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",  "provider": "blaxel",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}